Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.util
Class ErrorStandin

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Error
                  |
                  +--com.bea.util.AbstractErrorContainer
                        |
                        +--com.bea.util.ErrorStandin

public class ErrorStandin
extends AbstractErrorContainer

A proxy error class representing a linked exception contained in another exception. Instances of this class are used to replace instances of non-public errors that might get delivered to a client that does not have the error's class.

Author:
  Copyright © 2000, 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`java.lang.String` | `m_className`
`java.lang.String` | `m_stackTrace`

Fields inherited from class com.bea.util.AbstractErrorContainer
`m_container`

Constructor Summary
`ErrorStandin(java.lang.Error e)`

Method Summary
`void` | `printStackTrace()`
`void` | `printStackTrace(java.io.PrintStream ps)`
`void` | `printStackTrace(java.io.PrintWriter pw)`
`java.lang.String` | `toString()`

Methods inherited from class com.bea.util.AbstractErrorContainer
`addError, containsError, getErrors, getLinkedError, printStackTrace, removeError, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_className

    public java.lang.String m_className

### m_stackTrace

    public java.lang.String m_stackTrace

Constructor Detail

### ErrorStandin

    public ErrorStandin(java.lang.Error e)

Method Detail

### printStackTrace

    public void printStackTrace()

  Overrides:
    printStackTrace in class AbstractErrorContainer

### printStackTrace

    public void printStackTrace(java.io.PrintStream ps)

  Overrides:
    printStackTrace in class AbstractErrorContainer

### printStackTrace

    public void printStackTrace(java.io.PrintWriter pw)

  Overrides:
    printStackTrace in class AbstractErrorContainer

### toString

    public java.lang.String toString()

  Overrides:
    toString in class AbstractErrorContainer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| WebLogic Integration
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Integration (WLI)